glibc bug in LFS-6.1 and its nALFS profile (was: Help for building LiveCD)

Alexander E. Patrakov patrakov at ums.usu.ru
Wed Oct 5 21:14:21 PDT 2005


Steve Prior wrote:

> Alexander - any chance of an upcoming revision of the LFS-6.1 Live CD
> which uses glibc 2.3.5 to resolve the ssh privsep issue?

(aka http://blfs-bugs.linuxfromscratch.org/show_bug.cgi?id=1534, it's a 
good candidate for the LFS errata page.)

Tough question. The problem while Jeremy Huntwork was the project leader 
was that exactly the same versions of packages had to be used in the 
book and on the LiveCD (with the exception of ncurses because of "xterm 
-lc" compatibility needed for i18n purposes). I'd rather ask Justin to 
build the 6.1-4 CD with the following fixes:

* binutils md5sum issue resolved
* glibc-2.3.4 with the patch from 
http://sources.redhat.com/ml/libc-hacker/2005-02/msg00005.html

This, however, still brings up the issue that the nALFS profile on the 
CD doesn't contain the glibc patch, so this CD would be rather useless 
right now. I CC:ed the ALFS list, let's see if they do something for us 
first.

In the meanwhile, you can just use the 6.x-utf8-r0 CD: it contains 
glibc-2.3.5, but it is not based on any released LFS book. But it still 
contains a profile that builds glibc-2.3.4 without the patch :(

-- 
Alexander E. Patrakov



More information about the alfs-discuss mailing list